journal_recover
Prev | Journal Level | Next

## Name

journal_recover — recovers a on-disk journal

## Synopsis

`int journal_recover (` | journal_t * | journal`)`;

## Arguments

`journal`

  the journal to recover

## Description

The primary function for recovering the log contents when mounting a journaled device.

Recovery is done in three passes. In the first pass, we look for the end of the log. In the second, we assemble the list of revoke blocks. In the third and final pass, we replay any un-revoked blocks in the log.

Prev | Up | Next
journal_ack_err | Home | journal_skip_recovery